Automation
AGH Automation HTTP endpoints.
- Audience
- Operators running durable agent work
- Focus
- API Reference guidance shaped for scanability, day-two clarity, and operator context.
List automation jobs
/api/automation/jobsQuery Parameters
Filter by automation scope
"global" | "workspace"Filter by workspace id
Filter by job source
"config" | "dynamic"Maximum number of records to return
int32Response Body
application/json
application/json
application/json
application/json
curl -X GET "https://loading/api/automation/jobs"{
"jobs": [
{
"agent_name": "string",
"created_at": "2019-08-24T14:15:22Z",
"enabled": true,
"fire_limit": {
"max": 0,
"window": "string"
},
"id": "string",
"name": "string",
"next_run": "2019-08-24T14:15:22Z",
"prompt": "string",
"retry": {
"base_delay": "string",
"max_retries": 0,
"strategy": "none"
},
"schedule": {
"expr": "string",
"interval": "string",
"mode": "cron",
"time": "string"
},
"scheduler": {
"catch_up_policy": "string",
"consecutive_resume_failures": 0,
"job_id": "string",
"last_fire_id": "string",
"last_misfire_at": "2019-08-24T14:15:22Z",
"last_run_at": "2019-08-24T14:15:22Z",
"last_scheduled_at": "2019-08-24T14:15:22Z",
"misfire_count": 0,
"misfire_grace_seconds": 0,
"next_run_at": "2019-08-24T14:15:22Z",
"registered": true,
"updated_at": "2019-08-24T14:15:22Z"
},
"scope": "global",
"source": "config",
"task": {
"description": "string",
"network_channel": "string",
"owner": {
"kind": "human",
"ref": "string"
},
"title": "string"
},
"updated_at": "2019-08-24T14:15:22Z",
"workspace_id": "string"
}
]
}{
"error": "string"
}{
"error": "string"
}{
"error": "string"
}Create an automation job
/api/automation/jobsRequest Body
application/json
JSON request body
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://loading/api/automation/jobs" \ -H "Content-Type: application/json" \ -d '{ "agent_name": "string", "name": "string", "prompt": "string", "schedule": { "mode": "cron" }, "scope": "global" }'{
"job": {
"agent_name": "string",
"created_at": "2019-08-24T14:15:22Z",
"enabled": true,
"fire_limit": {
"max": 0,
"window": "string"
},
"id": "string",
"name": "string",
"next_run": "2019-08-24T14:15:22Z",
"prompt": "string",
"retry": {
"base_delay": "string",
"max_retries": 0,
"strategy": "none"
},
"schedule": {
"expr": "string",
"interval": "string",
"mode": "cron",
"time": "string"
},
"scheduler": {
"catch_up_policy": "string",
"consecutive_resume_failures": 0,
"job_id": "string",
"last_fire_id": "string",
"last_misfire_at": "2019-08-24T14:15:22Z",
"last_run_at": "2019-08-24T14:15:22Z",
"last_scheduled_at": "2019-08-24T14:15:22Z",
"misfire_count": 0,
"misfire_grace_seconds": 0,
"next_run_at": "2019-08-24T14:15:22Z",
"registered": true,
"updated_at": "2019-08-24T14:15:22Z"
},
"scope": "global",
"source": "config",
"task": {
"description": "string",
"network_channel": "string",
"owner": {
"kind": "human",
"ref": "string"
},
"title": "string"
},
"updated_at": "2019-08-24T14:15:22Z",
"workspace_id": "string"
}
}{
"error": "string"
}{
"error": "string"
}{
"error": "string"
}{
"error": "string"
}Get one automation job
/api/automation/jobs/{id}Path Parameters
Automation job id
Response Body
application/json
application/json
application/json
application/json
curl -X GET "https://loading/api/automation/jobs/string"{
"job": {
"agent_name": "string",
"created_at": "2019-08-24T14:15:22Z",
"enabled": true,
"fire_limit": {
"max": 0,
"window": "string"
},
"id": "string",
"name": "string",
"next_run": "2019-08-24T14:15:22Z",
"prompt": "string",
"retry": {
"base_delay": "string",
"max_retries": 0,
"strategy": "none"
},
"schedule": {
"expr": "string",
"interval": "string",
"mode": "cron",
"time": "string"
},
"scheduler": {
"catch_up_policy": "string",
"consecutive_resume_failures": 0,
"job_id": "string",
"last_fire_id": "string",
"last_misfire_at": "2019-08-24T14:15:22Z",
"last_run_at": "2019-08-24T14:15:22Z",
"last_scheduled_at": "2019-08-24T14:15:22Z",
"misfire_count": 0,
"misfire_grace_seconds": 0,
"next_run_at": "2019-08-24T14:15:22Z",
"registered": true,
"updated_at": "2019-08-24T14:15:22Z"
},
"scope": "global",
"source": "config",
"task": {
"description": "string",
"network_channel": "string",
"owner": {
"kind": "human",
"ref": "string"
},
"title": "string"
},
"updated_at": "2019-08-24T14:15:22Z",
"workspace_id": "string"
}
}{
"error": "string"
}{
"error": "string"
}{
"error": "string"
}Update one automation job
/api/automation/jobs/{id}Path Parameters
Automation job id
Request Body
application/json
JSON request body
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X PATCH "https://loading/api/automation/jobs/string" \ -H "Content-Type: application/json" \ -d '{}'{
"job": {
"agent_name": "string",
"created_at": "2019-08-24T14:15:22Z",
"enabled": true,
"fire_limit": {
"max": 0,
"window": "string"
},
"id": "string",
"name": "string",
"next_run": "2019-08-24T14:15:22Z",
"prompt": "string",
"retry": {
"base_delay": "string",
"max_retries": 0,
"strategy": "none"
},
"schedule": {
"expr": "string",
"interval": "string",
"mode": "cron",
"time": "string"
},
"scheduler": {
"catch_up_policy": "string",
"consecutive_resume_failures": 0,
"job_id": "string",
"last_fire_id": "string",
"last_misfire_at": "2019-08-24T14:15:22Z",
"last_run_at": "2019-08-24T14:15:22Z",
"last_scheduled_at": "2019-08-24T14:15:22Z",
"misfire_count": 0,
"misfire_grace_seconds": 0,
"next_run_at": "2019-08-24T14:15:22Z",
"registered": true,
"updated_at": "2019-08-24T14:15:22Z"
},
"scope": "global",
"source": "config",
"task": {
"description": "string",
"network_channel": "string",
"owner": {
"kind": "human",
"ref": "string"
},
"title": "string"
},
"updated_at": "2019-08-24T14:15:22Z",
"workspace_id": "string"
}
}{
"error": "string"
}{
"error": "string"
}{
"error": "string"
}{
"error": "string"
}{
"error": "string"
}Delete one automation job
/api/automation/jobs/{id}Path Parameters
Automation job id
Response Body
application/json
application/json
application/json
application/json
curl -X DELETE "https://loading/api/automation/jobs/string"{
"error": "string"
}{
"error": "string"
}{
"error": "string"
}{
"error": "string"
}List run history for one automation job
/api/automation/jobs/{id}/runsPath Parameters
Automation job id
Query Parameters
Filter by run status
"scheduled" | "running" | "delegated" | "completed" | "failed" | "canceled"Only runs started since this timestamp
date-timeOnly runs started before this timestamp
date-timeMaximum number of records to return
int32Response Body
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://loading/api/automation/jobs/string/runs"{
"runs": [
{
"attempt": 0,
"delivery_error": "string",
"delivery_error_at": "2019-08-24T14:15:22Z",
"ended_at": "2019-08-24T14:15:22Z",
"error": "string",
"fire_id": "string",
"id": "string",
"job_id": "string",
"scheduled_at": "2019-08-24T14:15:22Z",
"session_id": "string",
"started_at": "2019-08-24T14:15:22Z",
"status": "scheduled",
"task_id": "string",
"task_run_id": "string",
"trigger_id": "string"
}
]
}{
"error": "string"
}{
"error": "string"
}{
"error": "string"
}{
"error": "string"
}Trigger one automation job immediately
/api/automation/jobs/{id}/triggerPath Parameters
Automation job id
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://loading/api/automation/jobs/string/trigger"{
"run": {
"attempt": 0,
"delivery_error": "string",
"delivery_error_at": "2019-08-24T14:15:22Z",
"ended_at": "2019-08-24T14:15:22Z",
"error": "string",
"fire_id": "string",
"id": "string",
"job_id": "string",
"scheduled_at": "2019-08-24T14:15:22Z",
"session_id": "string",
"started_at": "2019-08-24T14:15:22Z",
"status": "scheduled",
"task_id": "string",
"task_run_id": "string",
"trigger_id": "string"
}
}{
"error": "string"
}{
"error": "string"
}{
"error": "string"
}{
"error": "string"
}List automation runs
/api/automation/runsQuery Parameters
Filter by automation job id
Filter by automation trigger id
Filter by run status
"scheduled" | "running" | "delegated" | "completed" | "failed" | "canceled"Only runs started since this timestamp
date-timeOnly runs started before this timestamp
date-timeMaximum number of records to return
int32Response Body
application/json
application/json
application/json
application/json
curl -X GET "https://loading/api/automation/runs"{
"runs": [
{
"attempt": 0,
"delivery_error": "string",
"delivery_error_at": "2019-08-24T14:15:22Z",
"ended_at": "2019-08-24T14:15:22Z",
"error": "string",
"fire_id": "string",
"id": "string",
"job_id": "string",
"scheduled_at": "2019-08-24T14:15:22Z",
"session_id": "string",
"started_at": "2019-08-24T14:15:22Z",
"status": "scheduled",
"task_id": "string",
"task_run_id": "string",
"trigger_id": "string"
}
]
}{
"error": "string"
}{
"error": "string"
}{
"error": "string"
}Get one automation run
/api/automation/runs/{id}Path Parameters
Automation run id
Response Body
application/json
application/json
application/json
application/json
curl -X GET "https://loading/api/automation/runs/string"{
"run": {
"attempt": 0,
"delivery_error": "string",
"delivery_error_at": "2019-08-24T14:15:22Z",
"ended_at": "2019-08-24T14:15:22Z",
"error": "string",
"fire_id": "string",
"id": "string",
"job_id": "string",
"scheduled_at": "2019-08-24T14:15:22Z",
"session_id": "string",
"started_at": "2019-08-24T14:15:22Z",
"status": "scheduled",
"task_id": "string",
"task_run_id": "string",
"trigger_id": "string"
}
}{
"error": "string"
}{
"error": "string"
}{
"error": "string"
}List automation triggers
/api/automation/triggersQuery Parameters
Filter by automation scope
"global" | "workspace"Filter by workspace id
Filter by trigger source
"config" | "dynamic"Filter by trigger event
Maximum number of records to return
int32Response Body
application/json
application/json
application/json
application/json
curl -X GET "https://loading/api/automation/triggers"{
"triggers": [
{
"agent_name": "string",
"created_at": "2019-08-24T14:15:22Z",
"enabled": true,
"endpoint_slug": "string",
"event": "string",
"filter": {
"property1": "string",
"property2": "string"
},
"fire_limit": {
"max": 0,
"window": "string"
},
"id": "string",
"name": "string",
"prompt": "string",
"retry": {
"base_delay": "string",
"max_retries": 0,
"strategy": "none"
},
"scope": "global",
"source": "config",
"updated_at": "2019-08-24T14:15:22Z",
"webhook_id": "string",
"webhook_secret_hash": "string",
"webhook_secret_present": true,
"workspace_id": "string"
}
]
}{
"error": "string"
}{
"error": "string"
}{
"error": "string"
}Create an automation trigger
/api/automation/triggersRequest Body
application/json
JSON request body
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://loading/api/automation/triggers" \ -H "Content-Type: application/json" \ -d '{ "agent_name": "string", "event": "string", "name": "string", "prompt": "string", "scope": "global" }'{
"trigger": {
"agent_name": "string",
"created_at": "2019-08-24T14:15:22Z",
"enabled": true,
"endpoint_slug": "string",
"event": "string",
"filter": {
"property1": "string",
"property2": "string"
},
"fire_limit": {
"max": 0,
"window": "string"
},
"id": "string",
"name": "string",
"prompt": "string",
"retry": {
"base_delay": "string",
"max_retries": 0,
"strategy": "none"
},
"scope": "global",
"source": "config",
"updated_at": "2019-08-24T14:15:22Z",
"webhook_id": "string",
"webhook_secret_hash": "string",
"webhook_secret_present": true,
"workspace_id": "string"
}
}{
"error": "string"
}{
"error": "string"
}{
"error": "string"
}{
"error": "string"
}Get one automation trigger
/api/automation/triggers/{id}Path Parameters
Automation trigger id
Response Body
application/json
application/json
application/json
application/json
curl -X GET "https://loading/api/automation/triggers/string"{
"trigger": {
"agent_name": "string",
"created_at": "2019-08-24T14:15:22Z",
"enabled": true,
"endpoint_slug": "string",
"event": "string",
"filter": {
"property1": "string",
"property2": "string"
},
"fire_limit": {
"max": 0,
"window": "string"
},
"id": "string",
"name": "string",
"prompt": "string",
"retry": {
"base_delay": "string",
"max_retries": 0,
"strategy": "none"
},
"scope": "global",
"source": "config",
"updated_at": "2019-08-24T14:15:22Z",
"webhook_id": "string",
"webhook_secret_hash": "string",
"webhook_secret_present": true,
"workspace_id": "string"
}
}{
"error": "string"
}{
"error": "string"
}{
"error": "string"
}Update one automation trigger
/api/automation/triggers/{id}Path Parameters
Automation trigger id
Request Body
application/json
JSON request body
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X PATCH "https://loading/api/automation/triggers/string" \ -H "Content-Type: application/json" \ -d '{}'{
"trigger": {
"agent_name": "string",
"created_at": "2019-08-24T14:15:22Z",
"enabled": true,
"endpoint_slug": "string",
"event": "string",
"filter": {
"property1": "string",
"property2": "string"
},
"fire_limit": {
"max": 0,
"window": "string"
},
"id": "string",
"name": "string",
"prompt": "string",
"retry": {
"base_delay": "string",
"max_retries": 0,
"strategy": "none"
},
"scope": "global",
"source": "config",
"updated_at": "2019-08-24T14:15:22Z",
"webhook_id": "string",
"webhook_secret_hash": "string",
"webhook_secret_present": true,
"workspace_id": "string"
}
}{
"error": "string"
}{
"error": "string"
}{
"error": "string"
}{
"error": "string"
}{
"error": "string"
}Delete one automation trigger
/api/automation/triggers/{id}Path Parameters
Automation trigger id
Response Body
application/json
application/json
application/json
application/json
curl -X DELETE "https://loading/api/automation/triggers/string"{
"error": "string"
}{
"error": "string"
}{
"error": "string"
}{
"error": "string"
}List run history for one automation trigger
/api/automation/triggers/{id}/runsPath Parameters
Automation trigger id
Query Parameters
Filter by run status
"scheduled" | "running" | "delegated" | "completed" | "failed" | "canceled"Only runs started since this timestamp
date-timeOnly runs started before this timestamp
date-timeMaximum number of records to return
int32Response Body
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://loading/api/automation/triggers/string/runs"{
"runs": [
{
"attempt": 0,
"delivery_error": "string",
"delivery_error_at": "2019-08-24T14:15:22Z",
"ended_at": "2019-08-24T14:15:22Z",
"error": "string",
"fire_id": "string",
"id": "string",
"job_id": "string",
"scheduled_at": "2019-08-24T14:15:22Z",
"session_id": "string",
"started_at": "2019-08-24T14:15:22Z",
"status": "scheduled",
"task_id": "string",
"task_run_id": "string",
"trigger_id": "string"
}
]
}{
"error": "string"
}{
"error": "string"
}{
"error": "string"
}{
"error": "string"
}Deliver one global automation webhook
/api/webhooks/global/{endpoint}Path Parameters
Webhook endpoint slug and id
Header Parameters
Signed webhook timestamp
Signed webhook HMAC signature
Request Body
application/json
JSON request body
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://loading/api/webhooks/global/string" \ -H "X-AGH-Webhook-Timestamp: string" \ -H "X-AGH-Webhook-Signature: string" \ -H "Content-Type: application/json" \ -d '{ "property1": null, "property2": null }'{
"result": {
"matched": 0,
"runs": [
{
"attempt": 0,
"delivery_error": "string",
"delivery_error_at": "2019-08-24T14:15:22Z",
"ended_at": "2019-08-24T14:15:22Z",
"error": "string",
"fire_id": "string",
"id": "string",
"job_id": "string",
"scheduled_at": "2019-08-24T14:15:22Z",
"session_id": "string",
"started_at": "2019-08-24T14:15:22Z",
"status": "scheduled",
"task_id": "string",
"task_run_id": "string",
"trigger_id": "string"
}
]
}
}{
"error": "string"
}{
"error": "string"
}{
"error": "string"
}{
"error": "string"
}{
"error": "string"
}Deliver one workspace-scoped automation webhook
/api/webhooks/workspaces/{workspace_id}/{endpoint}Path Parameters
Workspace id
Webhook endpoint slug and id
Header Parameters
Signed webhook timestamp
Signed webhook HMAC signature
Request Body
application/json
JSON request body
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://loading/api/webhooks/workspaces/string/string" \ -H "X-AGH-Webhook-Timestamp: string" \ -H "X-AGH-Webhook-Signature: string" \ -H "Content-Type: application/json" \ -d '{ "property1": null, "property2": null }'{
"result": {
"matched": 0,
"runs": [
{
"attempt": 0,
"delivery_error": "string",
"delivery_error_at": "2019-08-24T14:15:22Z",
"ended_at": "2019-08-24T14:15:22Z",
"error": "string",
"fire_id": "string",
"id": "string",
"job_id": "string",
"scheduled_at": "2019-08-24T14:15:22Z",
"session_id": "string",
"started_at": "2019-08-24T14:15:22Z",
"status": "scheduled",
"task_id": "string",
"task_run_id": "string",
"trigger_id": "string"
}
]
}
}{
"error": "string"
}{
"error": "string"
}{
"error": "string"
}{
"error": "string"
}{
"error": "string"
}